# Asterisk Project : Asterisk 12 Function_CONNECTEDLINE

Added by wikibot , edited by wikibot on Aug 29, 2013

# CONNECTEDLINE()

### Synopsis

Gets or sets Connected Line data on the channel.

### Description

Gets or sets Connected Line data on the channel.

The allowable values for the name-charset field are the following:

- `unknown` - Unknown
- `iso8859-1` - ISO8859-1
- `withdrawn` - Withdrawn
- `iso8859-2` - ISO8859-2
- `iso8859-3` - ISO8859-3
- `iso8859-4` - ISO8859-4
- `iso8859-5` - ISO8859-5
- `iso8859-7` - ISO8859-7
- `bmp` - ISO10646 Bmp String
- `utf8` - ISO10646 UTF-8 String

### Syntax

    CONNECTEDLINE(datatype,i)

##### Arguments

- `datatype` - The allowable datatypes are:
  - `all`
  - `name`
  - `name-valid`
  - `name-charset`
  - `name-pres`
  - `num`
  - `num-valid`
  - `num-plan`
  - `num-pres`
  - `subaddr`
  - `subaddr-valid`
  - `subaddr-type`
  - `subaddr-odd`
  - `tag`
  - `priv-all`
  - `priv-name`
  - `priv-name-valid`
  - `priv-name-charset`
  - `priv-name-pres`
  - `priv-num`
  - `priv-num-valid`
  - `priv-num-plan`
  - `priv-num-pres`
  - `priv-subaddr`
  - `priv-subaddr-valid`
  - `priv-subaddr-type`
  - `priv-subaddr-odd`
  - `priv-tag`
- `i` - If set, this will prevent the channel from sending out protocol messages because of the value being set

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown